## org.biojava.utils.process
Interface OutputHandler

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  SimpleOutputHandler, WriterOutputHandler

    public interface OutputHandler

extends Runnable

Interface to a threadable output handler for an external process. The output handler is used to collect the output of the STDOUT output and/or the STDERR of an external process.

Version:
  $Revision: 3634 $
Author:
  Martin Szugat

Method Summary
`InputStream` `getInput()` Gets the input stream.
`void` `setInput(InputStream input)` Sets the input stream.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setInput

    void setInput(InputStream input)

  Sets the input stream. The output of the external process is written to this input stream.

  Parameters:
    `input` - the input stream. May be `null`.

### getInput

    InputStream getInput()

  Gets the input stream. The output of the external process is written to this input stream.

  Returns:
    the input stream. May be `null`.